Merge pull request #676 from docker/make-integration-fix

Write to file to signal success for make integration
This commit is contained in:
David Lawrence
2016-04-12 21:51:46 -07:00
4 changed files with 21 additions and 3 deletions

View File

@@ -21,7 +21,7 @@ RUN set -x \
&& git clone https://github.com/tpoechtrager/osxcross.git $OSXCROSS_PATH \
&& ( cd $OSXCROSS_PATH && git checkout -q $OSX_CROSS_COMMIT) \
&& curl -sSL https://s3.dockerproject.org/darwin/v2/${OSX_SDK}.tar.xz -o "${OSXCROSS_PATH}/tarballs/${OSX_SDK}.tar.xz" \
&& UNATTENDED=yes OSX_VERSION_MIN=10.6 ${OSXCROSS_PATH}/build.sh
&& UNATTENDED=yes OSX_VERSION_MIN=10.6 ${OSXCROSS_PATH}/build.sh > /dev/null
ENV PATH /osxcross/target/bin:$PATH
ENV NOTARYDIR /go/src/github.com/docker/notary

View File

@@ -8,6 +8,18 @@ function cleanup {
fi
}
function cleanupAndExit {
cleanup
# Check for existence of SUCCESS
ls test_output/SUCCESS
exitCode=$?
# Clean up test_output dir (if not in CircleCI) and exit
if [[ -z "${CIRCLECI}" ]]; then
rm -rf test_output
fi
exit $exitCode
}
if [[ -z "${CIRCLECI}" ]]; then
BUILDOPTS="--force-rm"
fi
@@ -17,7 +29,8 @@ set -x
cleanup
docker-compose -f development.yml config
docker-compose -f development.yml build ${BUILDOPTS} --pull | tee
docker-compose -f development.yml up --abort-on-container-exit
trap cleanup SIGINT SIGTERM EXIT
trap cleanupAndExit SIGINT SIGTERM EXIT

View File

@@ -44,4 +44,7 @@ bin/notary ${OPTS} delegation add ${REPONAME} targets/releases fixtures/secure.e
bin/notary ${OPTS} add ${REPONAME} readmetarget README.md
bin/notary ${OPTS} publish ${REPONAME}
bin/notary ${OPTS} delegation list ${REPONAME} | grep targets/releases
cat README.md | bin/notary ${OPTS} verify $REPONAME readmetarget > /dev/null
cat README.md | bin/notary ${OPTS} verify $REPONAME readmetarget > /test_output/SUCCESS
# Make this file accessible for CI
chmod 777 /test_output/SUCCESS

View File

@@ -27,6 +27,8 @@ mysql:
- MYSQL_ALLOW_EMPTY_PASSWORD="true"
command: mysqld --innodb_file_per_table
client:
volumes:
- ./test_output:/test_output
build: .
dockerfile: Dockerfile
links: